
.msg12{
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: 3000;
  width: 100%;
  text-align: center;
}
.msg13{
color: #fff;
background-color: rgba(0, 0, 0, 0.9);
box-shadow: 1px 4px 8px rgba(255, 255, 255, 0.719);
font-size: 14px;
border-radius: 10px;
padding: 8px 14px;
margin: 0 15px;
display: inline-block;
 text-align: center;
max-width: 600px; 
}            
.desabilitado {
  pointer-events: none;
  opacity: 0.5; 
  cursor: not-allowed;
}
/* --- loading Loading Spinner --- */

.custom-loading-overlay_2{
position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 2001;
}
.custom-loading-container {
  background: rgba(0, 0, 0, 0.75);
  border-radius: 10px;
  padding: 20px 25px;
  color: #fff;
  font-size: 14px;
  text-align: center;
}

.custom-loading-spinner {
  display: inline-block;
  width: 40px;
  height: 40px;
}

.custom-loading-circular {
  animation: custom-rotate 2s linear infinite;
  width: 100%;
  height: 100%;
}

.custom-loading-circular circle {
  stroke: #fff;
  stroke-dasharray: 90, 150;
  stroke-dashoffset: 0;
  stroke-linecap: round;
  animation: custom-dash 1.5s ease-in-out infinite;
  stroke-width: 2;
}

@keyframes custom-rotate {
  100% {
    transform: rotate(360deg);
  }
}

@keyframes custom-dash {
  0% {
    stroke-dasharray: 1, 200;
    stroke-dashoffset: 0;
  }
  50% {
    stroke-dasharray: 90, 150;
    stroke-dashoffset: -40px;
  }
  100% {
    stroke-dasharray: 90, 150;
    stroke-dashoffset: -120px;
  }
}